=== debian/changelog ===
espresso (6.0-3) unstable; urgency=medium

  * debian/patches/install_file_ordering.patch: New patch, fixes a build
    failure for unfortunate file orderings, by Santiago Vila (Closes: #841096).

 -- Michael Banck <mbanck@debian.org>  Sat, 12 Nov 2016 22:42:12 +0100

espresso (6.0-2) unstable; urgency=medium

  * debian/quantum-espresso-data.install: Remove examples.

 -- Michael Banck <mbanck@debian.org>  Fri, 07 Oct 2016 23:33:16 +0200

espresso (6.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright (Files-Excluded): Removed, no longer needed.
  * debian/patches/configure_elpa_lib.patch: Removed, no longer needed.
  * debian/patches/testsuite_verbose.patch: Likewise.
  * debian/patches/makefile_clean.patch: Likewise.
  * debian/patches/pseudopotential_dir.patch: Refreshed.
  * debian/patches/testsuite_pseudopotentials.patch: Likewise.
  * debian/patches/install_bindir.patch: Likewise.
  * debian/patches/configure_fix_ppc64_define.patch: Likewise.
  * debian/patches/elpa3_support.patch: Updated, now only defines __ELPA_2016.
  * debian/patches/testsuite_flush_stdout.patch: Removed, applied upstream.
  * debian/rules (override_dh_auto_configure): Replaced --with-elpa configure
    option with --with-elpa-include and --with-elpa-lib.
  * debian/rules (override_dh_auto_test): No longer run the TDDFPT examples.
  * debian/rules (override_dh_auto_test): Run run-tests target.
  * debian/README.source: Removed, no longer needed.
  * debian/rules (override_dh_auto_test): No longer symlink in pseudopotentials
    from example directory, which no longer exists.
  * debian/rules (override_dh_auto_clean): Removed no longer needed lines.
  * debian/patches/testsuite_pseudopotentials.patch: Add some more
    pseudopotentials.

 -- Michael Banck <mbanck@debian.org>  Fri, 07 Oct 2016 00:24:07 +0200
